org.apache.fop.render.pcl.fonts

## Class PCLSoftFontManager.PCLTextSegment

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLSoftFontManager.PCLTextSegment

- Enclosing class:
    PCLSoftFontManager

      public static class PCLSoftFontManager.PCLTextSegment
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLTextSegment(int fontID, String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFontID()`
    `String` | `getText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLTextSegment

          public PCLTextSegment(int fontID,
                                String text)

  - ### Method Detail

    - #### getText

          public String getText()

    - #### getFontID

          public int getFontID()

Copyright © 2023 Apache Software Foundation. All rights reserved.